package com.sipai.jspatrol.Bean;

import java.io.Serializable;

/**
 * Created by lvliming on 2019/2/26.
 */

public class Fault implements Serializable{
    private String abnormityDescription;
    private String bizId;
    private Biz biz;
    private String equipmentIds;
    private String equipmentNames;
    private String remark;
    private String sumitMan;
    private String actualFinishDate;
    private int actualMoney;
    private String assistantedid;
    private String changeParts;
    private String company;
    private String companyid;
    private String contactids;
    private String defectLevel;
    private String delayReason;
    private String detailNumber;
    private EquList equipmentCard;
    private String equipmentId;
    private String id;
    private String insdt;
    private String insuser;
    private int judgemaintainerstaff;
    private int judgeresult;
    private String maintainerid;
    private String maintainplanid;
    private String maintenance;
    private String maintenanceMan;
    private String maintenanceWay;
    private String maintenanceid;
    private int planConsumeTime;
    private String planMoney;
    private String plannedenddt;
    private String problemcontent;
    private String problemresult;
    private String problemtypeid;
    private String problemTypeNames;
    private ProcessSection processSection;
    private String processSectionId;
    private String processdefid;
    private String processid;
    private String solver;
    private String solvetime;
    private String sql;
    private String startDate;
    private String status;
    private String submittime;
    private String type;
    private String where;
    private String todoTask;
    private String taskId;
    private String equipmentOpinion;
    private String processInstanceId;
    private String materialOpinion;
    private String qualityOpinion;

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTodoTask() {
        return todoTask;
    }

    public void setTodoTask(String todoTask) {
        this.todoTask = todoTask;
    }

    public String getProblemTypeNames() {
        return problemTypeNames;
    }

    public void setProblemTypeNames(String problemTypeNames) {
        this.problemTypeNames = problemTypeNames;
    }

    public String getAbnormityDescription() {
        return abnormityDescription;
    }

    public void setAbnormityDescription(String abnormityDescription) {
        this.abnormityDescription = abnormityDescription;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Biz getBiz() {
        return biz;
    }

    public void setBiz(Biz biz) {
        this.biz = biz;
    }

    public String getEquipmentIds() {
        return equipmentIds;
    }

    public void setEquipmentIds(String equipmentIds) {
        this.equipmentIds = equipmentIds;
    }

    public String getEquipmentNames() {
        return equipmentNames;
    }

    public void setEquipmentNames(String equipmentNames) {
        this.equipmentNames = equipmentNames;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSumitMan() {
        return sumitMan;
    }

    public void setSumitMan(String sumitMan) {
        this.sumitMan = sumitMan;
    }

    public String getActualFinishDate() {
        return actualFinishDate;
    }

    public void setActualFinishDate(String actualFinishDate) {
        this.actualFinishDate = actualFinishDate;
    }

    public int getActualMoney() {
        return actualMoney;
    }

    public void setActualMoney(int actualMoney) {
        this.actualMoney = actualMoney;
    }

    public String getAssistantedid() {
        return assistantedid;
    }

    public void setAssistantedid(String assistantedid) {
        this.assistantedid = assistantedid;
    }

    public String getChangeParts() {
        return changeParts;
    }

    public void setChangeParts(String changeParts) {
        this.changeParts = changeParts;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCompanyid() {
        return companyid;
    }

    public void setCompanyid(String companyid) {
        this.companyid = companyid;
    }

    public String getContactids() {
        return contactids;
    }

    public void setContactids(String contactids) {
        this.contactids = contactids;
    }

    public String getDefectLevel() {
        return defectLevel;
    }

    public void setDefectLevel(String defectLevel) {
        this.defectLevel = defectLevel;
    }

    public String getDelayReason() {
        return delayReason;
    }

    public void setDelayReason(String delayReason) {
        this.delayReason = delayReason;
    }

    public String getDetailNumber() {
        return detailNumber;
    }

    public void setDetailNumber(String detailNumber) {
        this.detailNumber = detailNumber;
    }

    public EquList getEquipmentCard() {
        return equipmentCard;
    }

    public void setEquipmentCard(EquList equipmentCard) {
        this.equipmentCard = equipmentCard;
    }

    public String getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(String equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInsdt() {
        return insdt;
    }

    public void setInsdt(String insdt) {
        this.insdt = insdt;
    }

    public String getInsuser() {
        return insuser;
    }

    public void setInsuser(String insuser) {
        this.insuser = insuser;
    }

    public int getJudgemaintainerstaff() {
        return judgemaintainerstaff;
    }

    public void setJudgemaintainerstaff(int judgemaintainerstaff) {
        this.judgemaintainerstaff = judgemaintainerstaff;
    }

    public int getJudgeresult() {
        return judgeresult;
    }

    public void setJudgeresult(int judgeresult) {
        this.judgeresult = judgeresult;
    }

    public String getMaintainerid() {
        return maintainerid;
    }

    public void setMaintainerid(String maintainerid) {
        this.maintainerid = maintainerid;
    }

    public String getMaintainplanid() {
        return maintainplanid;
    }

    public void setMaintainplanid(String maintainplanid) {
        this.maintainplanid = maintainplanid;
    }

    public String getMaintenance() {
        return maintenance;
    }

    public void setMaintenance(String maintenance) {
        this.maintenance = maintenance;
    }

    public String getMaintenanceMan() {
        return maintenanceMan;
    }

    public void setMaintenanceMan(String maintenanceMan) {
        this.maintenanceMan = maintenanceMan;
    }

    public String getMaintenanceWay() {
        return maintenanceWay;
    }

    public void setMaintenanceWay(String maintenanceWay) {
        this.maintenanceWay = maintenanceWay;
    }

    public String getMaintenanceid() {
        return maintenanceid;
    }

    public void setMaintenanceid(String maintenanceid) {
        this.maintenanceid = maintenanceid;
    }

    public int getPlanConsumeTime() {
        return planConsumeTime;
    }

    public void setPlanConsumeTime(int planConsumeTime) {
        this.planConsumeTime = planConsumeTime;
    }

    public String getPlanMoney() {
        return planMoney;
    }

    public void setPlanMoney(String planMoney) {
        this.planMoney = planMoney;
    }

    public String getPlannedenddt() {
        return plannedenddt;
    }

    public void setPlannedenddt(String plannedenddt) {
        this.plannedenddt = plannedenddt;
    }

    public String getProblemcontent() {
        return problemcontent;
    }

    public void setProblemcontent(String problemcontent) {
        this.problemcontent = problemcontent;
    }

    public String getProblemresult() {
        return problemresult;
    }

    public void setProblemresult(String problemresult) {
        this.problemresult = problemresult;
    }

    public String getProblemtypeid() {
        return problemtypeid;
    }

    public void setProblemtypeid(String problemtypeid) {
        this.problemtypeid = problemtypeid;
    }

    public ProcessSection getProcessSection() {
        return processSection;
    }

    public void setProcessSection(ProcessSection processSection) {
        this.processSection = processSection;
    }

    public String getProcessSectionId() {
        return processSectionId;
    }

    public void setProcessSectionId(String processSectionId) {
        this.processSectionId = processSectionId;
    }

    public String getProcessdefid() {
        return processdefid;
    }

    public void setProcessdefid(String processdefid) {
        this.processdefid = processdefid;
    }

    public String getProcessid() {
        return processid;
    }

    public void setProcessid(String processid) {
        this.processid = processid;
    }

    public String getSolver() {
        return solver;
    }

    public void setSolver(String solver) {
        this.solver = solver;
    }

    public String getSolvetime() {
        return solvetime;
    }

    public void setSolvetime(String solvetime) {
        this.solvetime = solvetime;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSubmittime() {
        return submittime;
    }

    public void setSubmittime(String submittime) {
        this.submittime = submittime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getWhere() {
        return where;
    }

    public void setWhere(String where) {
        this.where = where;
    }

    public String getMaterialOpinion() {
        return materialOpinion;
    }

    public void setMaterialOpinion(String materialOpinion) {
        this.materialOpinion = materialOpinion;
    }

    public String getQualityOpinion() {
        return qualityOpinion;
    }

    public void setQualityOpinion(String qualityOpinion) {
        this.qualityOpinion = qualityOpinion;
    }

    public String getEquipmentOpinion() {
        return equipmentOpinion;
    }

    public void setEquipmentOpinion(String equipmentOpinion) {
        this.equipmentOpinion = equipmentOpinion;
    }
}
